Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.client
Class DefaultHttpAsyncClient

    java.lang.Object
      org.apache.http.impl.nio.client.AbstractHttpAsyncClient
          org.apache.http.impl.nio.client.DefaultHttpAsyncClient

All Implemented Interfaces:
  HttpAsyncClient

Deprecated.

    @Deprecated
    public class DefaultHttpAsyncClient

extends AbstractHttpAsyncClient

Constructor Summary
`DefaultHttpAsyncClient()` Deprecated.
`DefaultHttpAsyncClient(ClientAsyncConnectionManager connmgr)` Deprecated.
`DefaultHttpAsyncClient(org.apache.http.impl.nio.reactor.IOReactorConfig config)` Deprecated.

Method Summary
`protected org.apache.http.params.HttpParams` | `createHttpParams()` Deprecated.
`protected org.apache.http.protocol.BasicHttpProcessor` | `createHttpProcessor()` Deprecated.
`static void` | `setDefaultHttpParams(org.apache.http.params.HttpParams params)` Deprecated.

Methods inherited from class org.apache.http.impl.nio.client.AbstractHttpAsyncClient
`addRequestInterceptor, addRequestInterceptor, addResponseInterceptor, addResponseInterceptor, clearRequestInterceptors, clearResponseInterceptors, createAuthSchemeRegistry, createConnectionKeepAliveStrategy, createConnectionReuseStrategy, createCookieSpecRegistry, createCookieStore, createCredentialsProvider, createHttpContext, createHttpRoutePlanner, createProxyAuthenticationStrategy, createTargetAuthenticationStrategy, createUserTokenHandler, execute, execute, execute, execute, execute, execute, getAuthSchemes, getConnectionKeepAliveStrategy, getConnectionManager, getConnectionReuseStrategy, getCookieSpecs, getCookieStore, getCredentialsProvider, getHttpProcessor, getParams, getProxyAuthenticationStrategy, getRedirectStrategy, getRequestInterceptor, getRequestInterceptorCount, getResponseInterceptor, getResponseInterceptorCount, getRoutePlanner, getStatus, getTargetAuthenticationStrategy, getUserTokenHandler, removeRequestInterceptorByClass, removeResponseInterceptorByClass, setAuthSchemes, setCookieSpecs, setCookieStore, setCredentialsProvider, setKeepAliveStrategy, setParams, setProxyAuthenticationStrategy, setRedirectStrategy, setReuseStrategy, setRoutePlanner, setTargetAuthenticationStrategy, setUserTokenHandler, shutdown, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpAsyncClient

    public DefaultHttpAsyncClient(ClientAsyncConnectionManager connmgr)

  Deprecated.

### DefaultHttpAsyncClient

    public DefaultHttpAsyncClient(org.apache.http.impl.nio.reactor.IOReactorConfig config)
                           throws org.apache.http.nio.reactor.IOReactorException

  Deprecated.
  Throws:
    `org.apache.http.nio.reactor.IOReactorException`

### DefaultHttpAsyncClient

    public DefaultHttpAsyncClient()
                           throws org.apache.http.nio.reactor.IOReactorException

  Deprecated.
  Throws:
    `org.apache.http.nio.reactor.IOReactorException`

Method Detail

### createHttpParams

    protected org.apache.http.params.HttpParams createHttpParams()

  Deprecated.
  Specified by:
    `createHttpParams` in class `AbstractHttpAsyncClient`

### setDefaultHttpParams

    public static void setDefaultHttpParams(org.apache.http.params.HttpParams params)

  Deprecated.

### createHttpProcessor

    protected org.apache.http.protocol.BasicHttpProcessor createHttpProcessor()

  Deprecated.
  Specified by:
    `createHttpProcessor` in class `AbstractHttpAsyncClient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.